#
# modeler TCL script
#
# cse 457 spring 1999 project 2
#
# douglas zongker
# dougz@cs.washington.edu
#


# default "animation" menu settings:  animation off.
set g_timebase   0 
set g_currtime   0
set g_timerun    0
set g_oldtimerun 0

# project 4 stuff
#source curve.tcl

# control_change is called whenever the value of a control
# widget changes.  It forces redraw of the model.
proc control_change {{args}} {
    opengl::invalidate
}

# load_model is called with the name of a model DLL to open.
proc load_model {dll} {

}

#save bitmap tells impressionist to save it's bitmap
proc save_bitmap {} {

  ::opengl::SaveBitmap


}

# select_model is called to allow the user to pick a model to
# load.
proc select_model {} {
	
    # unload the current model, if any
    ::opengl::destroy
	
    # send the model to Win32
    if {[catch {opengl::create}]} {
	  wm withdraw .
	  tk_dialog .error "Error" "Failed to load the BMP" error 0 Quit
	  exit
    }

    # force redraw
    opengl::invalidate
}




# build_menubar is called, not surprisingly, to set up the main window's
# menu bar.
proc build_menubar {} {
    global g_drawtype g_drawquality
    
    # create the root menu
    menu .mb -tearoff false

    # file menu
    menu .mb.file -tearoff false
    .mb.file add command -label "Open Image..." -underline 0 -command select_model
    .mb.file add command -label "Save Image" -underline 0 -command save_bitmap
    .mb.file add separator
    .mb.file add command -label "Quit" -underline 0 -command exit
    .mb add cascade -label "File" -underline 0 -menu .mb.file

 
}

###
### here is the main script -- not much to it, is there?
###
### this just sets up the main window; everything else
### is handled through callbacks.
###

# create the menu and put it in the window
build_menubar
. configure -menu .mb

# create the empty control panel and put it in the window
frame .c -width 4i
pack .c

# if user gave a model name on the command line, try to load it.
if {[llength $argv]>0} {
    load_model [lindex $argv 0]
}

load impressionist